input[type=text], input[type=number] {
	width: 50px;
	font-size: 16px;
	margin: 2px 0;
}

input[type=button] {
	width: 100px;
	margin: 2px 0;
	font-size: 16px;
}

input[type=radio] + label {
	user-select: none;
}

#image-navi {
	text-align: center;
}

#image-navi .image-navi-button {
	width: 32px;
	height: 28px;
}

body {
	color: #333;
	font-family: sans-serif;
	margin: 0;
	padding: 0;
}

a {
	color: #333;
}

#top-area {
	display: flex;
	align-items: flex-start;
	position: sticky;
	top: 0;
	left: 0;
	height: 338px;
	padding: 8px 0 0 8px;
	background-color: #ffffff;
}

#boxes {
	display: flex;
}

#bottom-area {
	display: flex;
	align-items: flex-start;
}

.inner-box {
	border: 1px solid #333;
	padding: 4px;
}

#canvas-area {
	padding: 4px 12px 4px 4px;
}

#search-box {
	width: 334px;
	margin-right: 12px;
}

#palette-box {
	margin-right: 12px;
}

#palette-box .inner-box {
	height: 292px;
}

#under-palette-colors {
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	font-size: 14px;
}

#palette-lum-r {
	width: 200px;
}

#cursor-color,
#clicked-color {
	width: 180px;
}

#cursor-color {
	margin-top: 3px;
}

#cursor-color-box,
#clicked-color-box {
	width: 64px;
	height: 64px;
	background-color: #000000;
}

#cursor-color-msg,
#clicked-color-msg {
	font-size: 16px;
}

#copy-clicked-color,
#copy-convertbox-hex,
#copy-convertbox-rgb,
#copy-convertbox-hsl {
			width: 64px;
	height: 24px;
	font-size: 14px;
	margin: 0;
	padding: 0;
}

.plus-minus {
	font-size: 18px;
}

#result {
	width: 270px;
	padding-left: 8px;
}

#description {
	padding: 4px;
	font-size: 14px;
	border: 1px solid #333;
	color: #333;
}

.color {
	width: 64px;
	height: 64px;
	margin: 4px;
}

.box {
	display: flex;
}

#bright-to-dark {
	margin-left: 12px;
}

#search {
	width: 181px;
	margin-top: 2px;
	margin-bottom: 0;
}

#hex-value {
	width: 80px;
}

.remarks {
	font-size: 12px;
}

#language-box {
	margin-left: 12px;
}
